#
# spec file for package tidy (Version 1.0)
#
# Copyright (c) 2006, 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:                 tidy
Version:              1.0.20090120
Release:              3.3
%define docrelease    cvs20090120.28
Summary:              Utility to clean up and pretty-print HTML/XHTML/XML
Group:                Productivity/Publishing/HTML/Tools
License:              Public Domain, Freeware, Other License(s), see package
URL:                  http://tidy.sourceforge.net/
Source0:              http://tidy.sourceforge.net/src/tidy_src.tgz
Source1:              http://tidy.sourceforge.net/docs/tidy_doc.tgz
BuildRoot:            %{_tmppath}/%{name}-%{version}-build
BuildRequires:        doxygen libtool libxslt

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely layed out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

Tidy is able to fix up a wide range of problems and to bring to your
attention things that you need to work on yourself. Each item found is
listed with the line number and column so that you can see where the
problem lies in your markup. Tidy won't generate a cleaned up version
when there are problems that it can't be sure of how to handle. These
are logged as "errors" rather than "warnings".


Authors:
--------
    Tidy was written by Dave Raggett <dsr@w3.org> and is now maintained
    and developed by the Tidy team at http://tidy.sourceforge.net/.


%package     -n libtidy
Summary:        Shared library for tidy
Group:          Productivity/Publishing/HTML/Tools

%description -n libtidy
This package contains the library needed to run programs dynamically
linked with tidy.

%package     -n libtidy-devel
Summary:        Development files for tidy
Group:          Development/Libraries/C and C++
Requires:       libtidy = %{version}-%{release}

%description -n libtidy-devel
This package contains the headers, the shared libraries and the API documentation
which programmers will need to develop applications based on tidy.

%debug_package
%prep
%setup -q -n %{name} -b 1 
mv htmldoc/doxygen.cfg Doxyfile

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
/bin/sh build/gnuauto/setup.sh
%configure --disable-dependency-tracking \
           --includedir=%{_includedir}/%{name}
make %{?_smp_mflags} all
make -C build/gmake/ doc
doxygen

%install
rm -rf $RPM_BUILD_ROOT _api
make install DESTDIR=$RPM_BUILD_ROOT
# Manpage
install -Dpm 644 htmldoc/tidy.1 $RPM_BUILD_ROOT%{_mandir}/man1/tidy.1
# Quick Reference
install -Dpm 644 htmldoc/quickref.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/quickref.html
# Move API directory out of the way
mv htmldoc/api _api

%clean
if ! test -f /.buildenv; then
    rm -rf $RPM_BUILD_ROOT;
fi

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc htmldoc/*
%{_bindir}/tidy
%{_bindir}/tab2space
%{_mandir}/man1/tidy.1*

%files -n libtidy
%defattr(-, root, root)
%doc htmldoc/license.html
%{_libdir}/libtidy*.so.*

%files -n libtidy-devel
%defattr(-, root, root)
%doc _api/*
%{_includedir}/%{name}/*.h
%{_libdir}/libtidy.so
%{_libdir}/libtidy.a
%exclude %{_libdir}/libtidy.la

%changelog
* Thu Aug 23 2007 sierkb@gmx.de
- Updated tidy from CVS to release date 15 August 2007:
  The configuration option 'merge-spans' has been added.
* Thu Aug  2 2007 sierkb@gmx.de
- Updated tidy from CVS snapshot 070802.
- Spec file clean-ups:
  Make up and clean up the Spec's changelog;
  Changed version and release info into something more reasonable.
* Thu Jun 28 2007 sierkb@gmx.de
- Fixed some changelog issues, which prevented
  the Build Service from building the package.
* Thu Jun 14 2007 sierkb@gmx.de
- Updated tidy from CVS snapshot 070614:
  The configuration option 'sort-attributes' has been added;
  Additionally, the option 'show-body-only' has been extended to accept auto.
* Tue May  8 2007 sierkb@gmx.de
- Updated docs from CVS snapshot 070213.
- Updated tidy from CVS snapshot 070508:
  The configuration option 'preserve-entities' has been added;
  With the current version of tidy,
  tidylib users using tidyBuffer need to recompile their code;
  From tidy dated "23 January 2007", source compatibility should work
  although explicitly calling tidyBufInit is recommended.
* Sat Jan 13 2007 sierkb@gmx.de
- Updated docs from CVS snapshot 070113.
- Updated tidy from CVS snapshot 070113:
  A Windows ".def" file is now provided in the distribution (issue 1459819);
  All internal symbols are now mangled (issue 1533253);
  These should simplify the use of tidylib;
  From tidy dated "29 December 2006",
  new APIs are available to use user-defined allocators (issue 1160008);
  The interface of tidyFileExists has changed.
- Rebuild for openSUSE.
* Wed Dec  6 2006 sierkb@gmx.de
- Spec file cleanup: fixed author information.
* Mon Nov 13 2006 poeml@suse.de
- copying package from buildservice package to autobuild
  (adding .changes file).
* Tue Oct 31 2006 sierkb@gmx.de
- Updated tidy from CVS snapshot 061031:
  From tidy dated "12 October 2006",
  tidy uses memory mapped i/o by default (issue 1551769).
* Tue Oct 24 2006 sierkb@gmx.de
- Updated tidy from CVS snapshot 061023.
* Fri Oct  6 2006 sierkb@gmx.de
- Updated tidy from CVS snapshot 061006.
* Tue Sep 19 2006 sierkb@gmx.de
- Updated tidy from CVS snapshot 060919.
* Thu Jun 15 2006 sierkb@gmx.de
- Rebuild for SUSE Linux 10.1.
* Wed Feb 22 2006 sierkb@gmx.de
- Updated tidy from CVS snapshot 060222:
  From tidy dated "14 February 2006", ports on Windows 64 should work out-of-the-box;
  The automated build is currently broken. The latest source can be obtained using CVS;
  From tidy dated "11 November 2005", hash lookup is used by default (issue 1331849);
  This can be disabled at build time; Please report any bug;
  Along with issue 1345637 being fixed, tidy should handle large documents faster.
- Spec file clean-ups.
- Removed libmxl2 from BuildRequires.
- Removed authors due to anti-spam strategy.
* Wed Jan 25 2006 mls@suse.de
- Converted neededforbuild to BuildRequires.
* Tue Nov 29 2005 sierkb@gmx.de
- Generating also a debug information sub-package.
* Wed Nov 23 2005 sierkb@gmx.de
- Rebuild for SUSE Linux 10.0 OSS (GCC 4.0.2).
* Tue Nov  1 2005 sierkb@gmx.de
- Updated tidy to 051027.
- Updated docs to 051021.
* Thu Oct 27 2005 sierkb@gmx.de
- New destination for tidy's header files: /usr/include/tidy rather than /usr/include.
- Spec file clean-up.
* Mon Oct 17 2005 sierkb@gmx.de
- Updated tidy to 051014.
* Wed Sep 28 2005 sierkb@gmx.de
- Removed extra patch for fixing casting issue,
  because the issue now is fixed.
* Thu Sep 22 2005 sierkb@gmx.de
- To reflect the fact that the Quick Reference and the Manpage can be autogenerated
  through the Tidy Makefile, all instructions to reproduce this manually
  now are removed from the Spec file and are replaced by the much shorter equivalent
  'make doc'.
* Tue Sep 20 2005 sierkb@gmx.de
- Updated tidy to 050913.
- Updated docs to 050706.
* Sat Jul 23 2005 sierkb@gmx.de
- Updated tidy to 050723:
  The man page is now available online (formatted using groff -Thtml -mandoc).
* Thu Jun 23 2005 sierkb@gmx.de
- Updated tidy to 050623:
  The quick reference card and the man page are now automatically generated as part
  of the build process using the TidyLib APIs;
  Use 'make doc' to generate them.
- Adjusted authors list to tidy's project member list on Sourceforge.net.
* Tue Jun 21 2005 sierkb@gmx.de
- Corrected prep options.
* Fri Jun 17 2005 sierkb@gmx.de
- Updated tidy to 050616.
- Updated docs to 050616.
- Corrected version number to 1.0.
* Tue Jun  7 2005 sierkb@gmx.de
- Added license to libtidy package.
- Improved Spec file according to the SUSE Package conventions.
* Fri Jun  3 2005 sierkb@gmx.de
- Cleaned up spec file;
  fixed some email addresses;
  corrected version number.
- Build with RPM_OPT_FLAGS.
* Tue May 31 2005 poeml@suse.de
- improve generation and installation of documentation
  (thanks to Sierk Bornemann who provided key assistance).
* Mon May 30 2005 poeml@suse.de
- split libtidy subpackage, and rename tidy-devel to libtidy-devel.
- install missing documentation.
- run ldconfig in %%post/%%postun where needed.
* Thu May 26 2005 poeml@suse.de
- update to version 050517 + docs to 050502.
- use gnuauto buildsystem to get the shared lib.
- create and install man page (manually because the gnuauto
  Makefile doesn't do it yet).
- package the license.
- split -devel subpackage.
* Thu May 12 2005 ke@suse.de
- Update to version 050502:
  Also added Checked by Tidy icon (courtesy of Marc Gueury).
- Add htmldoc.tgz (from tidy CVS).
- Remove obsolete files, which are now part of htmldoc.tgz.
- Install tab2space.
- Fix casting issue, by Marcus Meissner.
* Tue May 10 2005 meissner@suse.de
- build with RPM_OPT_FLAGS.
* Thu Feb 26 2004 hmacht@suse.de
- added option # norootforbuild in specfile.
* Mon Jun 16 2003 coolo@suse.de
- use BuildRoot.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides.
* Mon Apr 29 2002 drahn@suse.de
- update to: tidy version 020428.
* Mon Dec  4 2000 mge@suse.de
- update to: tidy4aug00.
* Tue Jun 27 2000 mge@suse.de
- update to: tidy30apr00.
* Thu Jan 27 2000 ke@suse.de
- update to version 13jan00.
- translate the version string to make the update process happy.
- define version _after_ the Version header line.
- use the %%{version} and %%{name} macro.
- use %%{_mandir}.
- add a nice group tag.
- add %%defattr to the %%files section.
- Overview.html: use a sed trick to resolve remote references: insert the
  <base> element.
* Mon Oct 25 1999 mge@suse.de
- initial SuSE-RPM; Changed Overview.html to work "offline".
